Open Bug 1304480 Opened 6 years ago Updated 11 months ago

Intermittent dom/media/test/test_background_video_suspend.html | Test timed out.

Categories

(Core :: Audio/Video: Playback, defect, P3)

x86_64
Windows 10
defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

References

(Depends on 1 open bug)

Details

(Keywords: bulk-close-intermittents, intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

Component: Audio/Video → Audio/Video: Playback
Depends on: 1339351
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
(In reply to OrangeFactor Robot from comment #6)
> 6 failures in 947 pushes (0.006 failures/push) were associated with this bug
> in the last 7 days.    
> 
> Repository breakdown:
> * autoland: 5
> * mozilla-beta: 1
> 
> Platform breakdown:
> * windows10-64-stylo-disabled: 3
> * windows10-64: 3
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1304480&startday=2017-10-09&endday=2017-10-15&tree=all

Windows 10 timeout.
Depends on: 1407553
OS: Unspecified → Windows 10
Hardware: Unspecified → x86_64

This bug failed 32 times in the last 7 days. Occurs on windows10-64 and windows10-64-pgo-qr on opt, pgo, asan and debug build types.

Recent log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=231357882&repo=mozilla-central&lineNumber=1753

Can you please take a look at this bug?

Flags: needinfo?(drno)

There are 23 total failures in the last 7 days: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-04-29&endday=2019-05-06&tree=trunk&bug=1304480

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244624146&repo=mozilla-inbound&lineNumber=1705

00:24:58 INFO - TEST-START | dom/media/test/test_background_video_suspend.html
00:28:01 INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_background_video_suspend.html | Test timed out!
00:28:01 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:275:18
00:28:01 INFO - onTimeout@dom/media/test/manifest.js:1778:7
00:28:01 INFO - setTimeout handlerMediaTestManager/this.started@dom/media/test/manifest.js:1785:57
00:28:01 INFO - runTest@dom/media/test/test_background_video_suspend.html:23:13
00:28:01 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1834:12
00:28:01 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1813:12
00:28:01 INFO - runTest@dom/media/test/test_background_video_suspend.html:65:13
00:28:01 INFO - async
MediaTestManager/this.nextTest@dom/media/test/manifest.js:1834:12
00:28:01 INFO - MediaTestManager/this.runTests/<@dom/media/test/manifest.js:1754:12
00:28:01 INFO - gizmo.webm-2 timed out!
00:28:01 INFO - GECKO(9164) | MediaDecoder=1a76463b800: channels=1 rate=48000 hasAudio=1 hasVideo=1 mPlayState=PLAYING
00:28:01 INFO - GECKO(9164) | ChannelMediaResource: mStreamLength=159035 mChannelOffset=159035 mCacheSuspended=0 mChannelEnded=1 mLoadID=1
00:28:01 INFO - GECKO(9164) | reader data:
00:28:01 INFO - GECKO(9164) | Container Type: video/webm
00:28:01 INFO - GECKO(9164) | Audio Decoder(audio/opus, 1 channels @ 48.0kHz): opus audio decoder
00:28:01 INFO - GECKO(9164) | Audio Frames Decoded: 116
00:28:01 INFO - GECKO(9164) | Audio State: ni=0 no=0 wp=0 demuxr=0 demuxq=0 decoder=0 tt=-1.0 tths=-1 in=116 out=116 qs=0 pending=0 wfd=0 eos=0 ds=0 wfk=0 sid=4294967295
00:28:01 INFO - GECKO(9164) | Video Decoder(video/vp9, 560x320 @ 30.01): shutdown
00:28:01 INFO - GECKO(9164) | Hardware Video Decoding: disabled
00:28:01 INFO - GECKO(9164) | Video Frames Decoded: 13 (skipped=0)
00:28:01 INFO - GECKO(9164) | Video State: ni=0 no=0 wp=0 demuxr=0 demuxq=0 decoder=0 tt=-1.0 tths=-1 in=0 out=0 qs=0 pending:0 wfd=0 eos=0 ds=0 wfk=0 sid=4294967295
00:28:01 INFO - GECKO(9164) | Dropped Frames: reader=0 sink=0 compositor=0
00:28:01 INFO - GECKO(9164) | MDSM: duration=5590000 GetMediaTime=990000 GetClock=990000 mMediaSink=1a76838cd60 state=DECODING mPlayState=3 mSentFirstFrameLoadedEvent=1 IsPlaying=1 mAudioStatus=idle mVideoStatus=idle mDecodedAudioEndTime=2328500 mDecodedVideoEndTime=0 mAudioCompleted=0 mVideoCompleted=1 mIsPrerolling=0
00:28:01 INFO - GECKO(9164) | VideoSink: IsStarted=1 IsPlaying=1 VideoQueue(finished=1 size=0) mVideoFrameEndTime=100000 mHasVideo=1 mVideoSinkEndRequest.Exists()=0 mEndPromiseHolder.IsEmpty()=1
00:28:01 INFO - GECKO(9164) | AudioSinkWrapper: IsStarted=1 IsPlaying=1 AudioEnded=0
00:28:01 INFO - GECKO(9164) | AudioSink: StartTime=0 LastGoodPosition=990000 Playing=1 OutputRate=48000 Written=52320 Errored=0 PlaybackComplete=0
00:28:01 INFO - [finished gizmo.webm-2] remaining=
00:28:01 INFO - TEST-PASS | dom/media/test/test_background_video_suspend.html | [finished gizmo.webm-2 t=182.156] Length of array should match number of running tests
00:28:01 INFO - Finished at Sat May 04 2019 00:28:01 GMT+0000 (Greenwich Mean Time) (1556929681.016s)
00:28:01 INFO - Running time: 182.205s
00:28:01 INFO - GECKO(9164) | MEMORY STAT | vsize 2103877MB | vsizeMaxContiguous 71811790MB | residentFast 130MB | heapAllocated 9MB

Flags: needinfo?(drno)
Whiteboard: [stockwell needswork:owner]

Nils, could you please assign this to someone?

Flags: needinfo?(drno)

It might be as easy as just increasing the timeout values of the test it looks like.
Alastor, could you please have a look at this?

Assignee: nobody → alwu
Flags: needinfo?(drno) → needinfo?(alwu)

It looks like that the gizmo.mp4-0 didn't play to end after we resume it, the issue can't be solved by simply adding timeout value.
I guess that maybe it relates with bug1532495, will start to investigaste that bug later.

Flags: needinfo?(alwu)
Priority: P5 → P3
See Also: → 1532495

There are 27 total failures in the last 7 days on android-em-7-0-x86_64-qr opt

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=304307027&repo=autoland&lineNumber=2066

[task 2020-05-29T20:03:21.442Z] 20:03:21 INFO - 129 INFO TEST-START | dom/media/test/test_background_video_suspend.html
[task 2020-05-29T20:06:20.602Z] 20:06:20 INFO - Buffered messages logged at 20:03:13
[task 2020-05-29T20:06:20.602Z] 20:06:20 INFO - 130 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | A valid string reason is expected
[task 2020-05-29T20:06:20.603Z] 20:06:20 INFO - 131 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | Reason cannot be empty
[task 2020-05-29T20:06:20.603Z] 20:06:20 INFO - 132 INFO Test Background Video Suspends
[task 2020-05-29T20:06:20.603Z] 20:06:20 INFO - 133 INFO Started Fri May 29 2020 21:03:13 GMT+0100 (British Summer Time) (1590782593.547s)
[task 2020-05-29T20:06:20.604Z] 20:06:20 INFO - 134 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo.mp4-0 t=0.004] Length of array should match number of running tests
[task 2020-05-29T20:06:20.604Z] 20:06:20 INFO - 135 INFO [21:03:13.551] gizmo.mp4-0 Waiting until video becomes visible
[task 2020-05-29T20:06:20.605Z] 20:06:20 INFO - 136 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo-noaudio.mp4-1 t=0.005] Length of array should match number of running tests
[task 2020-05-29T20:06:20.605Z] 20:06:20 INFO - 137 INFO [21:03:13.553] gizmo-noaudio.mp4-1 Waiting until video becomes visible
[task 2020-05-29T20:06:20.605Z] 20:06:20 INFO - Buffered messages finished
[task 2020-05-29T20:06:20.605Z] 20:06:20 WARNING - 138 INFO TEST-UNEXPECTED-FAIL | dom/media/test/test_background_video_suspend.html | Test timed out!
[task 2020-05-29T20:06:20.605Z] 20:06:20 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:299:16
[task 2020-05-29T20:06:20.605Z] 20:06:20 INFO - onTimeout@dom/media/test/manifest.js:2110:9
[task 2020-05-29T20:06:20.606Z] 20:06:20 INFO - 139 INFO gizmo.mp4-0 timed out!
[task 2020-05-29T20:06:20.608Z] 20:06:20 INFO - 140 INFO {"EMEInfo":{"keySystem":"","sessionsInfo":""},"compositorDroppedFrames":0,"decoder":{"PlayState":"","channels":0,"containerType":"","hasAudio":false,"hasVideo":false,"instance":"","rate":0,"reader":{"audioChannels":0,"audioDecoderName":"","audioFramesDecoded":0,"audioRate":0,"audioState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"audioType":"","frameStats":{"droppedCompositorFrames":0,"droppedDecodedFrames":0,"droppedSinkFrames":0},"videoDecoderName":"","videoHardwareAccelerated":false,"videoHeight":0,"videoNumSamplesOutputTotal":0,"videoNumSamplesSkippedTotal":0,"videoRate":0,"videoState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"videoType":"","videoWidth":0},"resource":{"cacheStream":{"cacheSuspended":false,"channelEnded":false,"channelOffset":0,"loadID":0,"streamLength":0}},"stateMachine":{"audioCompleted":false,"audioRequestStatus":"","clock":0,"decodedAudioEndTime":0,"decodedVideoEndTime":0,"duration":0,"isPlaying":false,"mediaSink":{"audioSinkWrapper":{"audioEnded":false,"audioSink":{"audioEnded":false,"hasErrored":false,"isPlaying":false,"isStarted":false,"lastGoodPosition":0,"outputRate":0,"playbackComplete":false,"startTime":0,"written":0},"isPlaying":false,"isStarted":false},"decodedStream":{"audioQueueFinished":false,"audioQueueSize":0,"data":{"audioFramesWritten":0,"haveSentFinishAudio":false,"haveSentFinishVideo":false,"instance":"","lastVideoEndTime":0,"lastVideoStartTime":0,"nextAudioTime":0,"streamAudioWritten":0,"streamVideoWritten":0},"instance":"","lastAudio":0,"lastOutputTime":0,"playing":0,"startTime":0},"videoSink":{"endPromiseHolderIsEmpty":false,"finished":false,"hasVideo":false,"isPlaying":false,"isStarted":false,"size":0,"videoFrameEndTime":0,"videoSinkEndRequestExists":false}},"mediaTime":0,"playState":0,"sentFirstFrameLoadedEvent":false,"state":"","stateObj":{"isPrerolling":false},"videoCompleted":false,"videoRequestStatus":""}}}
[task 2020-05-29T20:06:20.608Z] 20:06:20 INFO - 141 INFO [finished gizmo.mp4-0] remaining= gizmo-noaudio.mp4-1
[task 2020-05-29T20:06:20.608Z] 20:06:20 INFO - 142 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [finished gizmo.mp4-0 t=180.015] Length of array should match number of running tests
[task 2020-05-29T20:06:20.609Z] 20:06:20 INFO - 143 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo.webm-2 t=180.018] Length of array should match number of running tests
[task 2020-05-29T20:06:20.609Z] 20:06:20 INFO - 144 INFO [21:06:13.565] gizmo.webm-2 Waiting until video becomes visible
[task 2020-05-29T20:06:20.609Z] 20:06:20 WARNING - 145 INFO TEST-UNEXPECTED-FAIL | dom/media/test/test_background_video_suspend.html | Test timed out!
[task 2020-05-29T20:06:20.609Z] 20:06:20 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:299:16
[task 2020-05-29T20:06:20.609Z] 20:06:20 INFO - onTimeout@dom/media/test/manifest.js:2110:9
[task 2020-05-29T20:06:20.610Z] 20:06:20 INFO - 146 INFO gizmo-noaudio.mp4-1 timed out!
[task 2020-05-29T20:06:20.612Z] 20:06:20 INFO - 147 INFO {"EMEInfo":{"keySystem":"","sessionsInfo":""},"compositorDroppedFrames":0,"decoder":{"PlayState":"","channels":0,"containerType":"","hasAudio":false,"hasVideo":false,"instance":"","rate":0,"reader":{"audioChannels":0,"audioDecoderName":"","audioFramesDecoded":0,"audioRate":0,"audioState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"audioType":"","frameStats":{"droppedCompositorFrames":0,"droppedDecodedFrames":0,"droppedSinkFrames":0},"videoDecoderName":"","videoHardwareAccelerated":false,"videoHeight":0,"videoNumSamplesOutputTotal":0,"videoNumSamplesSkippedTotal":0,"videoRate":0,"videoState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"videoType":"","videoWidth":0},"resource":{"cacheStream":{"cacheSuspended":false,"channelEnded":false,"channelOffset":0,"loadID":0,"streamLength":0}},"stateMachine":{"audioCompleted":false,"audioRequestStatus":"","clock":0,"decodedAudioEndTime":0,"decodedVideoEndTime":0,"duration":0,"isPlaying":false,"mediaSink":{"audioSinkWrapper":{"audioEnded":false,"audioSink":{"audioEnded":false,"hasErrored":false,"isPlaying":false,"isStarted":false,"lastGoodPosition":0,"outputRate":0,"playbackComplete":false,"startTime":0,"written":0},"isPlaying":false,"isStarted":false},"decodedStream":{"audioQueueFinished":false,"audioQueueSize":0,"data":{"audioFramesWritten":0,"haveSentFinishAudio":false,"haveSentFinishVideo":false,"instance":"","lastVideoEndTime":0,"lastVideoStartTime":0,"nextAudioTime":0,"streamAudioWritten":0,"streamVideoWritten":0},"instance":"","lastAudio":0,"lastOutputTime":0,"playing":0,"startTime":0},"videoSink":{"endPromiseHolderIsEmpty":false,"finished":false,"hasVideo":false,"isPlaying":false,"isStarted":false,"size":0,"videoFrameEndTime":0,"videoSinkEndRequestExists":false}},"mediaTime":0,"playState":0,"sentFirstFrameLoadedEvent":false,"state":"","stateObj":{"isPrerolling":false},"videoCompleted":false,"videoRequestStatus":""}}}
[task 2020-05-29T20:06:20.612Z] 20:06:20 INFO - 148 INFO [finished gizmo-noaudio.mp4-1] remaining= gizmo.webm-2
[task 2020-05-29T20:06:20.612Z] 20:06:20 INFO - 149 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [finished gizmo-noaudio.mp4-1 t=180.021] Length of array should match number of running tests
[task 2020-05-29T20:06:20.612Z] 20:06:20 INFO - 150 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo-noaudio.webm-3 t=180.023] Length of array should match number of running tests
[task 2020-05-29T20:06:20.612Z] 20:06:20 INFO - 151 INFO [21:06:13.570] gizmo-noaudio.webm-3 Waiting until video becomes visible

Bryce can you take a look?

Flags: needinfo?(bvandyk)
Whiteboard: [stockwell unknown] → [stockwell needswork:owner]

John,
I wonder if we recently applied any change on Android that might cause this failure rate increasing?
Thank you.

Flags: needinfo?(bvandyk) → needinfo?(jolin)

There were 43 failures in the past 7 days on:
-android-em-7-0-x86_64-qr opt
-android-em-7-0-x86_64-shippable-qr opt
-windows10-64-qr debug

Recent failure log:
https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=306199168&repo=autoland&lineNumber=2123

[task 2020-06-13T04:15:01.309Z] 04:15:01 INFO - 129 INFO TEST-START | dom/media/test/test_background_video_suspend.html
[task 2020-06-13T04:18:10.997Z] 04:18:10 INFO - Buffered messages logged at 04:14:59
[task 2020-06-13T04:18:10.998Z] 04:18:10 INFO - 130 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | A valid string reason is expected
[task 2020-06-13T04:18:10.998Z] 04:18:10 INFO - 131 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | Reason cannot be empty
[task 2020-06-13T04:18:10.999Z] 04:18:10 INFO - 132 INFO Test Background Video Suspends
[task 2020-06-13T04:18:10.999Z] 04:18:10 INFO - 133 INFO Started Sat Jun 13 2020 05:14:59 GMT+0100 (British Summer Time) (1592021699.874s)
[task 2020-06-13T04:18:10.999Z] 04:18:10 INFO - 134 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo.mp4-0 t=0.006] Length of array should match number of running tests
[task 2020-06-13T04:18:11.000Z] 04:18:11 INFO - 135 INFO [05:14:59.881] gizmo.mp4-0 Waiting until video becomes visible
[task 2020-06-13T04:18:11.000Z] 04:18:11 INFO - 136 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo-noaudio.mp4-1 t=0.008] Length of array should match number of running tests
[task 2020-06-13T04:18:11.000Z] 04:18:11 INFO - 137 INFO [05:14:59.883] gizmo-noaudio.mp4-1 Waiting until video becomes visible
[task 2020-06-13T04:18:11.001Z] 04:18:11 INFO - Buffered messages finished
[task 2020-06-13T04:18:11.001Z] 04:18:11 WARNING - 138 INFO TEST-UNEXPECTED-FAIL | dom/media/test/test_background_video_suspend.html | Test timed out!
[task 2020-06-13T04:18:11.001Z] 04:18:11 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:299:16
[task 2020-06-13T04:18:11.001Z] 04:18:11 INFO - onTimeout@dom/media/test/manifest.js:2110:9
[task 2020-06-13T04:18:11.001Z] 04:18:11 INFO - 139 INFO gizmo.mp4-0 timed out!
[task 2020-06-13T04:18:11.004Z] 04:18:11 INFO - 140 INFO {"EMEInfo":{"keySystem":"","sessionsInfo":""},"compositorDroppedFrames":0,"decoder":{"PlayState":"","channels":0,"containerType":"","hasAudio":false,"hasVideo":false,"instance":"","rate":0,"reader":{"audioChannels":0,"audioDecoderName":"","audioFramesDecoded":0,"audioRate":0,"audioState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"audioType":"","frameStats":{"droppedCompositorFrames":0,"droppedDecodedFrames":0,"droppedSinkFrames":0},"videoDecoderName":"","videoHardwareAccelerated":false,"videoHeight":0,"videoNumSamplesOutputTotal":0,"videoNumSamplesSkippedTotal":0,"videoRate":0,"videoState":{"demuxEOS":0,"demuxQueueSize":0,"drainState":0,"hasDecoder":false,"hasDemuxRequest":false,"hasPromise":false,"lastStreamSourceID":0,"needInput":false,"numSamplesInput":0,"numSamplesOutput":0,"pending":0,"queueSize":0,"timeTreshold":0,"timeTresholdHasSeeked":false,"waitingForData":false,"waitingForKey":false,"waitingPromise":false},"videoType":"","videoWidth":0},"resource":{"cacheStream":{"cacheSuspended":false,"channelEnded":false,"channelOffset":0,"loadID":0,"streamLength":0}},"stateMachine":{"audioCompleted":false,"audioRequestStatus":"","clock":0,"decodedAudioEndTime":0,"decodedVideoEndTime":0,"duration":0,"isPlaying":false,"mediaSink":{"audioSinkWrapper":{"audioEnded":false,"audioSink":{"audioEnded":false,"hasErrored":false,"isPlaying":false,"isStarted":false,"lastGoodPosition":0,"outputRate":0,"playbackComplete":false,"startTime":0,"written":0},"isPlaying":false,"isStarted":false},"decodedStream":{"audioQueueFinished":false,"audioQueueSize":0,"data":{"audioFramesWritten":0,"haveSentFinishAudio":false,"haveSentFinishVideo":false,"instance":"","lastVideoEndTime":0,"lastVideoStartTime":0,"nextAudioTime":0,"streamAudioWritten":0,"streamVideoWritten":0},"instance":"","lastAudio":0,"lastOutputTime":0,"playing":0,"startTime":0},"videoSink":{"endPromiseHolderIsEmpty":false,"finished":false,"hasVideo":false,"isPlaying":false,"isStarted":false,"size":0,"videoFrameEndTime":0,"videoSinkEndRequestExists":false}},"mediaTime":0,"playState":0,"sentFirstFrameLoadedEvent":false,"state":"","stateObj":{"isPrerolling":false},"videoCompleted":false,"videoRequestStatus":""}}}
[task 2020-06-13T04:18:11.004Z] 04:18:11 INFO - 141 INFO [finished gizmo.mp4-0] remaining= gizmo-noaudio.mp4-1
[task 2020-06-13T04:18:11.004Z] 04:18:11 INFO - 142 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [finished gizmo.mp4-0 t=180.052] Length of array should match number of running tests
[task 2020-06-13T04:18:11.004Z] 04:18:11 INFO - 143 INFO TEST-PASS | dom/media/test/test_background_video_suspend.html | [started gizmo.webm-2 t=180.055] Length of array should match number of running tests
[task 2020-06-13T04:18:11.004Z] 04:18:11 INFO - 144 INFO [05:17:59.930] gizmo.webm-2 Waiting until video becomes visible
[task 2020-06-13T04:18:11.004Z] 04:18:11 WARNING - 145 INFO TEST-UNEXPECTED-FAIL | dom/media/test/test_background_video_suspend.html | Test timed out!

Could you please take a look?

Flags: needinfo?(alwu)

From the log [1], we can't reach the end of playback for gizmo.webm-2. Because most of those failures are happening on Android, I suspect that it might be related with the Android decoder, maybe it got an error when we resumed video?

[1] https://firefoxci.taskcluster-artifacts.net/bIfsaKbeT2GXG5-oiYsALw/0/public/logs/live_backing.log

Flags: needinfo?(jolin)
Flags: needinfo?(alwu)

This NI is for comment156.

Flags: needinfo?(jolin)

Alastor, this bug is on our disable-recommended filter. Could we land the patch after it is reviewed?

Flags: needinfo?(alwu)

Sure, because I have no clue about this failure now.

Flags: needinfo?(alwu)
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by rmaries@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/dd985559dee7
Disabled test_background_video_suspend.html on Android. r=jmaher
Assignee: alwu → nobody
Severity: normal → S4
You need to log in before you can comment on or make changes to this bug.